# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KSSLSettings Class Reference

KDE SSL Settings KDE SSL Settings. More...

`#include <ksslsettings.h>`

Collaboration diagram for KSSLSettings:

[legend]
List of all members.

## Public Member Functions

| KSSLSettings (bool readConfig=true)
| ~KSSLSettings ()
bool | sslv2 () const
bool | sslv3 () const
bool | tlsv1 () const
bool | warnOnEnter () const
void | setWarnOnEnter (bool x)
bool | warnOnUnencrypted () const
void | setWarnOnUnencrypted (bool x)
bool | warnOnLeave () const
void | setWarnOnLeave (bool x)
bool | warnOnMixed () const
bool | warnOnSelfSigned () const KDE_DEPRECATED
bool | warnOnRevoked () const KDE_DEPRECATED
bool | warnOnExpired () const KDE_DEPRECATED
bool | useEGD () const
bool | useEFile () const
void | setTLSv1 (bool enabled)
void | setSSLv2 (bool enabled)
void | setSSLv3 (bool enabled)
bool | autoSendX509 () const
bool | promptSendX509 () const
QString | getCipherList ()
QString & | getEGDPath ()
void | load ()
void | defaults ()
void | save ()

## Detailed Description

KDE SSL Settings KDE SSL Settings.

This class contains some of the SSL settings for easy use.

Author:
  George Staikos <staikos@kde.org>

See also:
  KSSL

Definition at line 39 of file ksslsettings.h.

## Constructor & Destructor Documentation

KSSLSettings::KSSLSettings | ( | bool | readConfig = `true` | ) |

Construct a KSSL Settings object.

Parameters:

  | readConfig | read in the configuration immediately if true

Definition at line 88 of file ksslsettings.cc.

References load().

KSSLSettings::~KSSLSettings | ( |  | ) |

| Destroy this KSSL Settings object. Definition at line 101 of file ksslsettings.cc.

## Member Function Documentation

bool KSSLSettings::sslv2 | ( |  | ) | const

Does the user allow SSLv2.

Returns:
  true if the user allows SSLv2

Definition at line 107 of file ksslsettings.cc.

Referenced by KSSL::initialize().

bool KSSLSettings::sslv3 | ( |  | ) | const

Does the user allow SSLv3.

Returns:
  true if the user allows SSLv3

Definition at line 112 of file ksslsettings.cc.

Referenced by KSSL::initialize().

bool KSSLSettings::tlsv1 | ( |  | ) | const

Does the user allow TLSv1.

Returns:
  true if the user allows TLSv1

Definition at line 117 of file ksslsettings.cc.

Referenced by KSSL::TLSInit().

bool KSSLSettings::warnOnEnter | ( |  | ) | const

Does the user want to be warned on entering SSL mode.

Returns:
  true if the user wants to be warned

Definition at line 354 of file ksslsettings.cc.

void KSSLSettings::setWarnOnEnter | ( | bool | x | ) |

Change the user's warnOnEnter() setting

Since:
  3.3.

Parameters:

  | x | true if the user is to be warned

See also:
  warnOnEnter

Definition at line 355 of file ksslsettings.cc.

bool KSSLSettings::warnOnUnencrypted | ( |  | ) | const

Does the user want to be warned on sending unencrypted data.

Returns:
  true if the user wants to be warned

See also:
  setWarnOnUnencrypted

Definition at line 356 of file ksslsettings.cc.

void KSSLSettings::setWarnOnUnencrypted | ( | bool | x | ) |

Change the user's warnOnUnencrypted() setting.

Parameters:

  | x | true if the user is to be warned

See also:
  warnOnUnencrypted

Definition at line 357 of file ksslsettings.cc.

bool KSSLSettings::warnOnLeave | ( |  | ) | const

Does the user want to be warned on leaving SSL mode.

Returns:
  true if the user wants to be warned

Definition at line 358 of file ksslsettings.cc.

void KSSLSettings::setWarnOnLeave | ( | bool | x | ) |

Change the user's warnOnLeave() setting

Since:
  3.3.

Parameters:

  | x | true if the user is to be warned

See also:
  warnOnLeave

Definition at line 359 of file ksslsettings.cc.

bool KSSLSettings::warnOnMixed | ( |  | ) | const

Does the user want to be warned during mixed SSL/non-SSL mode.

Returns:
  true if the user wants to be warned

Definition at line 360 of file ksslsettings.cc.

bool KSSLSettings::warnOnSelfSigned | ( |  | ) | const

Do not use this.

Deprecated:

Definition at line 361 of file ksslsettings.cc.

bool KSSLSettings::warnOnRevoked | ( |  | ) | const

Do not use this.

Deprecated:

Definition at line 362 of file ksslsettings.cc.

bool KSSLSettings::warnOnExpired | ( |  | ) | const

Do not use this.

Deprecated:

Definition at line 363 of file ksslsettings.cc.

bool KSSLSettings::useEGD | ( |  | ) | const

Does the user want to use the Entropy Gathering Daemon?

Returns:
  true if the user wants to use EGD

Definition at line 364 of file ksslsettings.cc.

Referenced by KSSL::seedWithEGD().

bool KSSLSettings::useEFile | ( |  | ) | const

Does the user want to use an entropy file?

Returns:
  true if the user wants to use an entropy file

Definition at line 365 of file ksslsettings.cc.

Referenced by KSSL::close(), and KSSL::seedWithEGD().

void KSSLSettings::setTLSv1 | ( | bool | enabled | ) |

Change the user's TLSv1 preference.

Parameters:

  | enabled | true if TLSv1 is enabled

Definition at line 369 of file ksslsettings.cc.

void KSSLSettings::setSSLv2 | ( | bool | enabled | ) |

Change the user's SSLv2 preference.

Parameters:

  | enabled | true if SSLv2 is enabled

Definition at line 370 of file ksslsettings.cc.

void KSSLSettings::setSSLv3 | ( | bool | enabled | ) |

Change the user's SSLv3 preference.

Parameters:

  | enabled | true if SSLv3 is enabled

Definition at line 371 of file ksslsettings.cc.

bool KSSLSettings::autoSendX509 | ( |  | ) | const

Does the user want X.509 client certificates to always be sent when possible?

Returns:
  true if the user always wants a certificate sent

Definition at line 366 of file ksslsettings.cc.

bool KSSLSettings::promptSendX509 | ( |  | ) | const

Does the user want to be prompted to send X.509 client certificates when possible?

Returns:
  true if the user wants to be prompted

Definition at line 367 of file ksslsettings.cc.

QString KSSLSettings::getCipherList | ( |  | ) |

Get the OpenSSL cipher list for selecting the list of ciphers to use in a connection.

Returns:
  the cipher list

Definition at line 125 of file ksslsettings.cc.

References QString::append(), KConfigBase::readBoolEntry(), KConfigBase::setGroup(), and QString::sprintf().

Referenced by KSSL::initialize(), and KSSL::TLSInit().

QString & KSSLSettings::getEGDPath | ( |  | ) |

Get the configured path to the entropy gathering daemon or entropy file.

Returns:
  the path

Definition at line 373 of file ksslsettings.cc.

Referenced by KSSL::close(), and KSSL::seedWithEGD().

void KSSLSettings::load | ( |  | ) |

| Load the user's settings. Definition at line 238 of file ksslsettings.cc. References KConfigBase::readBoolEntry(), KConfigBase::readEntry(), KConfigBase::readPathEntry(), KConfig::reparseConfiguration(), and KConfigBase::setGroup(). Referenced by KSSL::initialize(), KSSLSettings(), and KSSL::TLSInit().

void KSSLSettings::defaults | ( |  | ) |

| Revert to default settings. Definition at line 278 of file ksslsettings.cc.

void KSSLSettings::save | ( |  | ) |

| Save the current settings. Definition at line 295 of file ksslsettings.cc. References QValueList::contains(), QValueList::count(), QFile::encodeName(), QString::isEmpty(), KConfigBase::setGroup(), QString::sprintf(), KConfigBase::sync(), KConfigBase::writeEntry(), and KConfigBase::writePathEntry().

The documentation for this class was generated from the following files:

- ksslsettings.h
- ksslsettings.cc

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:25:27 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003